/**
 * Theme Name: Bienen-Studio (Storefront Child)
 * Template: storefront
 */




/** Settings */

:root {
	/*
	--color__birght:#eeb;
	--color__light:#fe8;
	--color__light:#fff888;
	*/
	--color__light:#fec;
	--color__light-2:#ccc;
	--color__dark:#333;
	--color__dark-2:#0f0500;
	--color__splash:#f80;
	--color__splash--dark:#c40;
	--color__splash--dark--transp:#c408;
	--color__splash--dark-x:#620;
	--color__splash--dark-xx:#310;
	--color__splash--light:#fc4;
	--color__splash--light--transp:#fc48;

	--color__base:var(--color__light);
	--color__base-2:#fff;
	--color__contrast:var(--color__dark);
	--color__primary:var(--color__splash);
	--color__primary--dark:var(--color__splash--dark);
	--color__primary--dark-x:var(--color__splash--dark-x);
	--color__primary--dark-xx:var(--color__splash--dark-xx);
	--color__primary--light:var(--color__splash--light);
	--color__primary--light--transp:var(--color__splash--light--transp);

	--time-step__bist:0.3s;
	--time-step__bist--short:0.2s;
	--time-step__bist--short-x:0.1s;
	--time-step__bist--long:0.6s;
}

@media (prefers-color-scheme:dark) {
	:root {
		--color__base:var(--color__dark-2);
		--color__base-2:var(--color__primary--dark-xx);
		/*
		--color__contrast:var(--color__light-2);
		*/
		--color__contrast:var(--color__light);
	}
}







/** Base */

html {
	scroll-behavior:smooth;
}

body {
	background-color:var(--color__base);
	color:var(--color__contrast);
}

/*
@media (prefers-color-scheme:dark) {
	:is(h1, h2, h3, h4, h5, h6) {
		color:#ccc;
	}
}
*/
h1, h2, h3, h4, h5, h6 {
	color:var(--color__contrast);
}

:not(:is(h1, h2, h3, h4, h5, h6)) + :is(h1, h2, h3, h4, h5, h6) {
	margin-block-start:1.5rem;
}
@media (min-width:768px) {
	:not(:is(h1, h2, h3, h4, h5, h6)) + :is(h1, h2, h3, h4, h5, h6) {
		margin-block-start:2.2906835em;
	}
}

/* Links, Inputs, Forms */

a {
	color:var(--color__primary);
}

a:focus,
button:focus,
.button.alt:focus,
input:focus,
textarea:focus,
input[type="button"]:focus,
input[type="reset"]:focus,
input[type="submit"]:focus,
input[type="email"]:focus,
input[type="tel"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus {
	outline-color:var(--color__primary);
}

input[type=text],
input[type=number],
input[type=email],
input[type=tel],
input[type=url],
input[type=password],
input[type=search],
textarea,
.input-text {
	background-color:var(--color__primary--light);
}

@media (prefers-color-scheme:dark) {
	select {
		background-color:var(--color__primary--dark);
	}
}

table:not( .has-background ) th {
	background-color:var(--color__base);
	color:var(--color__contrast);
}

table:not(.has-background) tbody td {
	background-color:var(--color__base-2);
}

@media (prefers-color-scheme:dark) {
	.wp-block-table:not( .has-background ):not( .is-style-stripes ) tbody tr:nth-child(2n) td {
		background-color:var(--color__primary--dark-xx);
	}
}







/** Header */

.site-header {
	background-size:cover;
}

@media (min-width:768px) {
	.site-header .site-branding {
		position:relative;
		left:50%;
		top:-10px;
		transform:translateX(-50%);
	}
	.storefront-secondary-navigation .site-header .site-branding {
		width:auto;
	}

	.home.blog .site-header,
	.home.page:not(.page-template-template-homepage) .site-header,
	.home.post-type-archive-product .site-header {
		margin-bottom:8em;
	}
	@media (prefers-color-scheme:dark) {
		.site-header {
			border-bottom-color:var(--color__dark);
		}
	}
}

/* Homepage */

.home :is(h1,h2,h3,h4,h5,h6) {
	text-align:center;
}

/* Logo */

.site-branding {
	width:auto;
}

.site-logo-link,
.custom-logo-link {
	/*
	clip-path:polygon(25% 5%, 75% 5%, 97% 26%,100% 50%, 75% 95%, 24% 95%,-1% 50%,3% 26%);
	clip-path:polygon(25% 5%, 76% 4%, 98% 26%,102% 50%, 75% 95%, 25% 97%,-1% 50%,3% 26%);
	*/
	/* Best
	clip-path:polygon(27% 5%, 74% 5%, 97% 26%,103% 50%, 77% 95%, 26% 95%,0% 50%,4% 26%);
	*/
	/*
	clip-path:polygon(22% 5%, 74% 5%, 97% 26%,103% 50%, 77% 95%, 22% 95%,0% 50%,1% 26%);
	*/
}

.site-logo-link > img,
.custom-logo-link > img {
	transition-delay:var(--time-step__bist--short);
	transition-duration:var(--time-step__bist);
	transition-property:filter;
}

.site-logo-link:focus > img,
.site-logo-link:hover > img,
.custom-logo-link:focus > img,
.custom-logo-link:hover > img {
	/*
	filter:drop-shadow(32px 2px 4px #000);
	*/
	filter:drop-shadow(96px 2px 6px #000);
}

/* Nav primary */

@media (min-width:768px) {
	.storefront-primary-navigation {
		background-color:var(--color__splash--dark--transp);
	}

	.main-navigation ul.menu ul.sub-menu,
	.main-navigation ul.nav-menu ul.children {
		background-color:var(--color__light);
	}
}

.main-navigation ul li a,
.site-title a,
ul.menu li a,
.site-branding h1 a,
button.menu-toggle,
button.menu-toggle:hover,
.handheld-navigation .dropdown-toggle {
	color:#000;
}

.site {
	overflow:initial;
}
	.site-header {
		position:sticky;
		top:-13.5rem;
	}
	@media (min-width:768px) {
		.site-header {
			top:-18.5rem;
		}
	}

		@media (min-width:768px) {
			.storefront-sticky-add-to-cart {
				z-index:0;
			}
			.storefront-sticky-add-to-cart--slideInDown {
				top:4.5rem;
				z-index:99998;
			}
		}

		.site-branding {
			position:relative;
			top:-1.25rem;
		}
		@media (min-width:768px) {
			.site-branding {
				top:0;
			}
		}
		button.menu-toggle {
			position:sticky;
			top:9.5rem;
			transform:translateY(1.575rem);
			z-index:99;
		}


.main-navigation ul li a:hover,
.main-navigation ul li:hover > a,
.site-title a:hover,
.site-header ul.menu li.current-menu-item > a,
/* Mobile nav */
.main-navigation .current_page_item a {
	color:#000;
	text-shadow:0 0 0.5px #000;
}

a.cart-contents:hover,
.site-header-cart .widget_shopping_cart a:hover,
.site-header-cart:hover > li > a {
	color:var(--color__dark);
}




/** Main */




/** Heading, Post image */

.hentry .wp-post-image {
	float:right;
	width:40%;
}

@media (min-width:768px) {
	.hentry.has-post-thumbnail .entry-title:has(+ img) {
		float:left;
		margin-right:10%;
		width:50%;
	}
}




/** Media */




/** WooCommerce */

@media (prefers-color-scheme:dark) {
	.order_details {
		background-color:transparent;
	}

	.woocommerce-checkout .woocommerce-table.shop_table {
		background-color:transparent;
	}
}

@media (min-width:768px) {
	.storefront-product-pagination a[rel=next] {
		right:-410px;
	}
	.storefront-product-pagination a[rel=prev] {
		left:-410px;
	}
}

.wc-block-grid__product-title {
	color:var(--color__contrast);
}

.wc-block-product {
	display:flex;
	flex-direction:column;
}

.wc-block-product > * {
	align-self:center;
}

.wc-block-product-template__responsive.wc-block-product-template__responsive {
	grid-template-columns:repeat(auto-fill,minmax(max(150px,calc(25% - 1em)),1fr));
}

.widget_product_search form:not(.wp-block-search) input[type=search] {
	color:#000;
}

.widget_product_search form:not(.wp-block-search) input[type=search]::placeholder {
	color:#000;
}

.woocommerce-message,
.woocommerce-info,
.woocommerce-error,
.woocommerce-noreviews,
p.no-comments {
	background-color:var(--color__primary--dark);
}

.woocommerce-tabs ul.tabs li.active a,
ul.products li.product .price,
.onsale,
.wc-block-grid__product-onsale,
.widget_search form:before,
.widget_product_search form:before {
	color:var(--color__dark);
}

.woocommerce-product-search input {
	background-color:var(--color__primary--light--transp);
}

.wp-block-woocommerce-product-collection > .wp-block-heading {
	font-size:2em;
	line-height:1.214;
	margin-block-start:3rem;
	margin-block-end:1.5rem;
}
@media (min-width:768px) {
	.wp-block-woocommerce-product-collection > .wp-block-heading {
		margin-block-end:3rem;
	}
}

.wp-block-woocommerce-product-collection .wc-block-product-template {
	margin-inline-start:0;
}

.wp-block-woocommerce-product-collection {
	margin-inline-start:0;
}




/** Footer */

.site-footer {
	background-color:var(--color__base-2);
	color:var(--color__contrast);
}

@media (min-width:768px) {
	.secondary-navigation ul.menu a:hover {
		color:var(--color__contrast);
	}
}

/*
@media (prefers-color-scheme:dark) {
	.site-footer a:not(.button):not(.components-button) {
		color:var(--color__base-2);
	}
}
*/







/** Force */

@media screen and (prefers-reduced-motion:reduce) {
	*,
	::before,
	::after
		animation-delay:-1ms !important;
		animation-duration:1ms !important;
		animation-iteration-count:1 !important;
		background-attachment:initial !important;
		scroll-behavior:auto !important;
		transition-delay:0s !important;
		transition-duration:0s !important;

	html {
		scroll-behavior:auto !important;
	}
}







/** Hacks/Shame/Fixme */

/* To be inserted at [1] w/o 'important'. */

/*
.mejs-container,
.mejs-container .mejs-controls,
.mejs-embed,
.mejs-embed body {
	background-color:var(--color__primary--dark-x) !important;
}
*/
/* While [1] hack still necessary (and no real product videos used). */
/*
.product .mejs-container {
	height:3rem !important;
}
.product .mejs-layers {
	display:none;
}
*/
